View Issue Details

IDProjectCategoryView StatusLast Update
0002069SymmetricDSBugpublic2014-12-01 07:26
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.13 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002069: MySQL DDL Builder for auto increment columns, decimal type is not valid must be bigint
DescriptionThe DDL Builder for MySQL must prevent auto increment columns from being decimal types (not accepted by MySQL).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6dd1cb9e

2014-11-19 14:20:41

chenson

Details Diff
0002069: MySqlBuilder support for auto increment columns that come across as decimal type, now mapped to bigint.
0002069
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-11-17 15:25 josh-a-hicks New Issue
2014-11-17 15:25 josh-a-hicks Status new => assigned
2014-11-17 15:25 josh-a-hicks Assigned To => josh-a-hicks
2014-11-17 15:33 chenson Product Version 3.6.14 => 3.6.13
2014-11-17 16:00 josh-a-hicks Changeset attached => SymmetricDS 3.6 r8945
2014-11-17 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.6 r8946
2014-11-19 15:00 chenson Changeset attached => SymmetricDS 3.6 r8948
2014-11-19 15:00 chenson Changeset attached => SymmetricDS trunk r8949
2014-11-20 09:53 chenson Project SymmetricDS Pro => SymmetricDS
2014-11-20 15:49 chenson Status assigned => resolved
2014-11-20 15:49 chenson Fixed in Version => 3.6.14
2014-11-20 15:49 chenson Resolution open => fixed
2014-12-01 07:26 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6dd1cb9e